#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kipi-plugins
Epoch:          1
Version: 24.05.1
Release:        %mkrel %{rel}
Summary:        KDE Image Plugin Interface
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://apps.kde.org/kipi_plugins/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5I18n)
# Optional
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Kipi)
BuildRequires:  cmake(KF5MediaWiki)

Recommends:     kipi-plugins-facebook
Recommends:     kipi-plugins-flashexport
Recommends:     kipi-plugins-flickr
Recommends:     kipi-plugins-kmlexport
Recommends:     kipi-plugins-googleservices
Recommends:     kipi-plugins-remotestorage
Recommends:     kipi-plugins-imgurexport
Recommends:     kipi-plugins-piwigo
Recommends:     kipi-plugins-printimages
Recommends:     kipi-plugins-jalbum
Recommends:     kipi-plugins-rajceexport
Recommends:     kipi-plugins-sendimages
Recommends:     kipi-plugins-smug
Recommends:     kipi-plugins-imageshackexport
Recommends:     kipi-plugins-wikimedia
Recommends:     kipi-plugins-vkontakte
Recommends:     kipi-plugins-yandexfotki
Recommends:     kipi-plugins-dropbox


%description
The library of the KDE Image Plugin Interface.

Libkipi allows image applications to use a plugin architecture
for additional functionality such as: RawConverter, SlideShow,
ImagesGallery, HTMLExport, PrintAssistant...

%files -n kipi-plugins -f kipiplugins.lang
%doc AUTHORS README
%license COPYING
%_kf5_applicationsdir/kipiplugins.desktop
%_kf5_metainfodir/org.kde.kipi_plugins.metainfo.xml

#-----------------------------------------------------------------------

%define libkipiplugins_major 5
%define libkipiplugins %mklibname kf5kipiplugins %libkipiplugins_major

%package -n     %libkipiplugins
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkipiplugins
Runtime library for %{name}.

%files -n %libkipiplugins
%_kf5_libdir/libKF5kipiplugins.so.%{libkipiplugins_major}{,.*}

#-----------------------------------------------------------------------

%package -n     kipi-plugins-smug
Summary:        Smug Kipi Plugin
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-smug
A tool to import/export images to/from SmugMug web service.

%files -n kipi-plugins-smug -f kipiplugin_smug.lang
%_qt5_plugindir/kipiplugin_smug.so
%_kf5_iconsdir/hicolor/*/*/kipi-smugmug.*
%_kf5_services/kipiplugin_smug.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_smugui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-imgurexport
Summary:        Imgur export plugin
Group:          Graphical desktop/KDE
Requires:       kipi-common

%description -n kipi-plugins-imgurexport
A tool to export images to the imgur.com image hosting service.

%files -n kipi-plugins-imgurexport -f kipiplugin_imgur.lang
%_qt5_plugindir/kipiplugin_imgur.so
%_kf5_iconsdir/*/*/*/kipi-imgur.*
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_imgurui.rc
%_kf5_services/kipiplugin_imgur.desktop

#-----------------------------------------------------------------------

%package -n     kipi-plugins-piwigo
Summary:        Piwigo export plugin
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

Provides:       kipi-plugins-piwigoexport = %{epoch}:%{version}-%{release}

%description -n kipi-plugins-piwigo
A tool to export images to piwigo.

%files -n kipi-plugins-piwigo -f kipiplugin_piwigo.lang
%_qt5_plugindir/kipiplugin_piwigo.so
%_kf5_iconsdir/*/*/*/kipi-piwigo.*
%_kf5_datadir/kipiplugin_piwigo/
%_kf5_services/kipiplugin_piwigo.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_piwigoui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-googleservices
Summary:        Export to google services
Group:          Graphical desktop/KDE
Requires:       kipi-common
Provides:       kipi-plugins-googledrive = %{epoch}:%{version}-%{release}

%description -n kipi-plugins-googleservices
A tool to pass selected photos to google Services.

%files -n kipi-plugins-googleservices -f kipiplugin_googleservices.lang
%_qt5_plugindir/kipiplugin_googleservices.so
%_kf5_services/kipiplugin_googleservices.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_googleservicesui.rc
%_kf5_iconsdir/*/*/*/kipi-googledrive.*
%_kf5_iconsdir/*/*/*/kipi-googlephoto.*

#-----------------------------------------------------------------------

%package -n     kipi-plugins-remotestorage
Summary:        Export pictures to or import from a remote directory that is accessible via KIO
Group:          Graphical desktop/KDE
Requires:       kipi-common

%description -n kipi-plugins-remotestorage
A tool to export pictures to or import from a remote directory that
is accessible via KIO.

%files -n kipi-plugins-remotestorage -f kipiplugin_remotestorage.lang
%_qt5_plugindir/kipiplugin_remotestorage.so
%_kf5_services/kipiplugin_remotestorage.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_remotestorageui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-flickr
Summary:        Flick Export Kipi Plugin
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-flickr
A tool to export images to a remote Flickr, 23 and Zoomr web services.

%files -n kipi-plugins-flickr -f kipiplugin_flickr.lang
%_qt5_plugindir/kipiplugin_flickr.so
%_kf5_iconsdir/*/*/*/kipi-flickr.*
%_kf5_iconsdir/*/*/*/kipi-hq.*
%_kf5_services/kipiplugin_flickr.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_flickrui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-rajceexport
Summary:        Rajce.net Exporter
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-rajceexport
A tool to export images to a remote rajce.net service.

%files -n kipi-plugins-rajceexport  -f kipiplugin_rajce.lang 
%_qt5_plugindir/kipiplugin_rajce.so
%_kf5_iconsdir/*/*/*/kipi-rajce.*
%_kf5_services/kipiplugin_rajce.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_rajceui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-printimages
Summary:        Print Images Kipi Plugin
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-printimages
A tool to print images in various formats.

%files -n kipi-plugins-printimages -f kipiplugin_printimages.lang
%_qt5_plugindir/kipiplugin_printimages.so
%_kf5_datadir/kipiplugin_printimages/
%_kf5_services/kipiplugin_printimages.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_printimagesui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-jalbum
Summary:        Export to jAlbum
Group:          Graphical desktop/KDE
Requires:       kipi-common

%description -n kipi-plugins-jalbum
A tool to pass selected photos to jAlbumxx.

%files -n kipi-plugins-jalbum -f kipiplugin_jalbum.lang
%_qt5_plugindir/kipiplugin_jalbum.so
%_iconsdir/hicolor/*/apps/kipi-jalbum.png
%_kf5_services/kipiplugin_jalbum.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_jalbumui.rc

#-----------------------------------------------------------------------
%if 0
%package -n     kipi-plugins-flashexport
Summary:        Flash export kipi-plugins
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-flashexport
A tool to export images to Flash.

%files -n kipi-plugins-flashexport 
%_qt5_plugindir/kipiplugin_flashexport.so
%_kf5_datadir/kipiplugin_flashexport/
%_kf5_services/kipiplugin_flashexport.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_flashexportui.rc
%_kf5_iconsdir/*/*/*/kipi-flash.*
%endif

#-----------------------------------------------------------------------

%package -n     kipi-plugins-facebook
Summary:        Facebook kipi plugins
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-facebook
A tool to import/export images to/from a remote Facebook web service.

%files -n kipi-plugins-facebook -f kipiplugin_facebook.lang
%_qt5_plugindir/kipiplugin_facebook.so
%_kf5_iconsdir/*/*/*/kipi-facebook.*
%_kf5_services/kipiplugin_facebook.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_facebookui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-sendimages
Summary:        Send Images kipi plugins
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-sendimages
A tool to send images by e-mail.

%files -n kipi-plugins-sendimages -f kipiplugin_sendimages.lang
%_qt5_plugindir/kipiplugin_sendimages.so
%_kf5_services/kipiplugin_sendimages.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_sendimagesui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-imageshackexport
Summary:        ImagesShack export plugin
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-imageshackexport
A tool to upload pictures and videos to ImagesShack web service.

%files -n kipi-plugins-imageshackexport -f kipiplugin_imageshack.lang
%_qt5_plugindir/kipiplugin_imageshack.so
%_kf5_iconsdir/*/*/*/kipi-imageshack.*
%_kf5_services/kipiplugin_imageshack.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_imageshackui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-kmlexport
Summary:        Create KML files to present images with coordinates
Group:          Graphical desktop/KDE
Requires:       kipi-common

%description -n kipi-plugins-kmlexport
A plugin to create KML files to present images with coordinates.

%files -n kipi-plugins-kmlexport -f kipiplugin_kmlexport.lang
%_qt5_plugindir/kipiplugin_kmlexport.so
%_kf5_services/kipiplugin_kmlexport.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_kmlexportui.rc

#-----------------------------------------------------------------------

%package -n     kipi-plugins-yandexfotki
Summary:        Yandex.Fotki Exporter
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-yandexfotki
A tool to export images to a remote Yandex.Fotki web service.

%files -n kipi-plugins-yandexfotki -f kipiplugin_yandexfotki.lang
%_qt5_plugindir/kipiplugin_yandexfotki.so
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_yandexfotkiui.rc
%_kf5_services/kipiplugin_yandexfotki.desktop

#-----------------------------------------------------------------------

%package -n     kipi-plugins-wikimedia
Summary:        MediaWiki export plugin
Group:          Graphical desktop/KDE
Requires:       libkdcraw-common
Requires:       kipi-common

%description -n kipi-plugins-wikimedia
A tool to export to Wikimedia.

%files -n kipi-plugins-wikimedia -f kipiplugin_mediawiki.lang
%_qt5_plugindir/kipiplugin_wikimedia.so
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_wikimediaui.rc
%_kf5_iconsdir/*/*/*/kipi-wikimedia.*
%_kf5_services/kipiplugin_wikimedia.desktop

#-----------------------------------------------------------------------

%package -n     kipi-plugins-dropbox
Summary:        Export to dropbox
Group:          Graphical desktop/KDE
Requires:       kipi-common

%description -n kipi-plugins-dropbox
A tool to pass selected photos to dropbox.

%files -n kipi-plugins-dropbox -f kipiplugin_dropbox.lang
%_qt5_plugindir/kipiplugin_dropbox.so
%_kf5_iconsdir/*/*/*/kipi-dropbox.*
%_kf5_services/kipiplugin_dropbox.desktop
%_kf5_datadir/kxmlgui5/kipi/kipiplugin_dropboxui.rc

#-----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang kipiplugins
%find_lang kipiplugin_dropbox
%find_lang kipiplugin_facebook
%find_lang kipiplugin_flickr
%find_lang kipiplugin_googleservices
%find_lang kipiplugin_imageshack
%find_lang kipiplugin_imgur
%find_lang kipiplugin_jalbum
%find_lang kipiplugin_kmlexport
%find_lang kipiplugin_mediawiki
%find_lang kipiplugin_piwigo
%find_lang kipiplugin_printimages
%find_lang kipiplugin_rajce
%find_lang kipiplugin_remotestorage
%find_lang kipiplugin_sendimages
%find_lang kipiplugin_smug
%find_lang kipiplugin_yandexfotki

rm -f %{buildroot}%{_kf5_libdir}/libKF5kipiplugins.so


%changelog
* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073220
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069866
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058624
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045164
- New version 24.02.0

* Thu Feb 08 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2039011
- New version 24.01.95
- New version 24.01.90
- New version 24.01.85
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989609
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958186
- New version 23.04.1

* Tue Mar 21 2023 daviddavid <daviddavid> 1:22.12.3-2.mga9
+ Revision: 1949901
- drop no more needed by the project KF5Vkontakte build dependency

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946498
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941791
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922912
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911406
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905258
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886777
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880763
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873073
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853966
- New version 22.04.0

* Fri Apr 15 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1850226
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 1:21.12.0-2.mga9
+ Revision: 1846184
- Mageia 9 Mass Rebuild

* Mon Dec 27 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1764276
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724065
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718352
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698549
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694081
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655611
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1643997
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633813
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627055
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614922
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604120
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596853
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584503
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568640
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559323
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540118
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513293
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466948
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457897
- New version 19.08.3

* Sun Sep 29 2019 daviddavid <daviddavid> 1:19.08.1-1.mga8
+ Revision: 1448033
- New version 19.08.1 (says hello in kde apps stack)

* Sat Apr 20 2019 daviddavid <daviddavid> 1:5.9.1-2.mga7
+ Revision: 1393683
- fix dependencies

* Sat Apr 20 2019 daviddavid <daviddavid> 1:5.9.1-1.mga7
+ Revision: 1393659
- initial package kipi-plugins


* Sun Dec 19 2010 Funda Wang <fwang@mandriva.org> 1:1.7.0-1mdv2011.0
+ Revision: 623168
- new version 1.7.0

* Wed Nov 24 2010 Funda Wang <fwang@mandriva.org> 1:1.6.0-1mdv2011.0
+ Revision: 600344
- new version 1.6.0

* Sat Oct 30 2010 Angelo Naselli <anaselli@mandriva.org> 1:1.5.0-2mdv2011.0
+ Revision: 590725
- Crop error was found by  Gary Montalbine
  fixed also 4_photos_3.5x5" template layout

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1:1.5.0-1mdv2011.0
+ Revision: 584890
- New version 1.5.0

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1:1.4.0-2mdv2011.0
+ Revision: 579319
- rebuild for new libkipi

* Sun Aug 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.4.0-1mdv2011.0
+ Revision: 571964
- New version 1.4.0

* Wed Jun 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.0-1mdv2010.1
+ Revision: 548657
- Update to version 1.3.0

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.0-3mdv2010.1
+ Revision: 539987
- Do not ship desktop files
  CCBUG: 58923

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 1:1.2.0-2mdv2010.1
+ Revision: 533493
- rebuild

* Mon Mar 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.0-1mdv2010.1
+ Revision: 528649
- Update to version 1.2.0

* Mon Feb 15 2010 Angelo Naselli <anaselli@mandriva.org> 1:1.1.0-3mdv2010.1
+ Revision: 506124
- hugin is now suggested

* Sat Feb 13 2010 Angelo Naselli <anaselli@mandriva.org> 1:1.1.0-2mdv2010.1
+ Revision: 505482
- Added huging runtime requirement. Fix bug #57632

* Sun Jan 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.1.0-1mdv2010.1
+ Revision: 498801
- Fix file list
- New version 1.1.0

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.0-2mdv2010.1
+ Revision: 488773
- rebuilt against libjpeg v8

* Fri Dec 25 2009 Funda Wang <fwang@mandriva.org> 1:1.0.0-1mdv2010.1
+ Revision: 482217
- New version 1.0.0

* Fri Dec 04 2009 Angelo Naselli <anaselli@mandriva.org> 1:0.9.0-1mdv2010.1
+ Revision: 473392
- new version 0.9.0

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.8.0-2mdv2010.1
+ Revision: 465249
- Rebuild against new Qt

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1:0.8.0-1mdv2010.1
+ Revision: 462863
- New version 0.8.0

* Thu Oct 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.7.0-2mdv2010.0
+ Revision: 456022
- Rebuild against new opencv

* Mon Sep 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.7.0-1mdv2010.0
+ Revision: 450491
- New version 0.7.0

* Sat Aug 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.6.0-1mdv2010.0
+ Revision: 422201
- New 0.6.0 version

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.5.0-2mdv2010.0
+ Revision: 416619
- rebuilt against libjpeg v7

* Fri Jul 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.5.0-1mdv2010.0
+ Revision: 399532
- Update to version 0.5.0

* Sat Jul 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.4.0-2mdv2010.0
+ Revision: 392299
- Update file list
- Remove merged patch
- Update to 0.4.0

* Tue May 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.3.0-2mdv2010.0
+ Revision: 379859
- Fix a crash in printwizard

* Tue May 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.3.0-1mdv2010.0
+ Revision: 374882
- Bugfix release 0.3

* Tue Mar 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-2mdv2009.1
+ Revision: 356335
- Update to 0.2.0 final

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.rc2.2mdv2009.1
+ Revision: 340870
- Enable printimage

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.rc2.1mdv2009.1
+ Revision: 340831
- Update to Rc2
  Add build patch from Angelo

* Fri Jan 23 2009 Götz Waschk <waschk@mandriva.org> 1:0.2.0-1.rc1.1mdv2009.1
+ Revision: 332830
- new version
- fix build with new libgpod

* Tue Jan 13 2009 Funda Wang <fwang@mandriva.org> 1:0.2.0-1.beta6.1mdv2009.1
+ Revision: 328997
- 0.2.0 beta6

* Wed Dec 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.beta5.3mdv2009.1
+ Revision: 315386
- Update  to beta5

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.2.0-1.beta4.3mdv2009.1
+ Revision: 314456
- obsolete old kipi-plugins-devel, don't conflict with it: there's no need
  to keep it around

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Nov 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-1.beta4.2mdv2009.1
+ Revision: 307512
- Update to beta4

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 1:0.2.0-1.beta3.2mdv2009.1
+ Revision: 305987
- use --all-names to find the locale files

* Wed Nov 05 2008 Angelo Naselli <anaselli@mandriva.org> 1:0.2.0-1.beta3.1mdv2009.1
+ Revision: 300087
- new release 0.2.0-beta1

* Sun Sep 28 2008 Anssi Hannula <anssi@mandriva.org> 1:0.2.0-1.beta1.4mdv2009.0
+ Revision: 289021
- fix versioned obsoletes

* Sun Sep 21 2008 Angelo Naselli <anaselli@mandriva.org> 1:0.2.0-1.beta1.3mdv2009.0
+ Revision: 286414
- 0.2.0 beta1

  + Funda Wang <fwang@mandriva.org>
    - conflict with old devel package name

* Sun Aug 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-0.824094.3mdv2009.0
+ Revision: 273109
- Obsoletes old libkipi-plugins0

* Wed Jun 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:0.2.0-0.824094.2mdv2009.0
+ Revision: 229134
- Added obsoletes for wrong named library

* Wed Jun 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.2.0-0.824094.1mdv2009.0
+ Revision: 228870
- Make sure major is correct

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed file list and library soname


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.3-2mdv2007.0
+ Revision: 132342
- rebuilt for new libexiv2

* Wed Jan 24 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-1mdv2007.1
+ Revision: 113059
- 0.1.3 final

* Sun Jan 14 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.5mdv2007.1
+ Revision: 108954
- Bug #28154

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.4mdv2007.1
+ Revision: 102417
- forgot to change version
- Epoch was in a wrong position

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.3mdv2007.1
+ Revision: 102251
- I should read careful mkrel value next time site URL updated

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.2mdv2007.1
+ Revision: 102179
- New version

* Sat Dec 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.2mdv2007.1
+ Revision: 93901
- added patch to fix new libgphoto changes,
  fixed spec file
- patch provided by Colin Guthrie (fix bug# 27502

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.1mdv2007.1
+ Revision: 90575
- New version 0.1.3-beta1 \ndisable ipod export
- Import kipi-plugins

* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-4mdv2007.0
- Fix bug# 25805

* Sat Sep 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-3mdv2007.0
- Rebuilt

* Sat Aug 05 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdv2007.0
- Rebuilt

* Tue Jul 11 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdv2007.0
- New release 0.1.2

* Fri Jun 30 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.1-1mdv2007.0
- New release 0.1.1

* Mon Jun 26 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-1mdv2007.0
- new release

* Sun Jun 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.2mdv2007.0
- fix download url and Mesa dependency

* Mon May 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.1mdk
- new release

* Sat Feb 25 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.rc1.4mdk
- fix Bug# 17555: if you have problems and you have Athlon CPU please follow
  bug# 18242

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.3mdk
- backport from svn of admin to allow recompiling under kde 3.5
  that should fix bug 20485

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 1:0.1.0-0.rc1.2mdk
- Printing out of the print wizard required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 0).
- Fixed compilation with QT 3.3.5 (patch 1, Laurent).

* Sun Oct 02 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.1mdk
- new release

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 1:0.1.0-0.beta2.11mdk
- fix deps

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.10mdk
- avoid it for backport

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.9mdk
- better implementation to fix mdk #16504 (removed awful script file)

* Tue Aug 30 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.8mdk
- really fix mdk #16504 (added my own pacth #2 and a a script file)

* Wed Aug 24 2005 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.beta2. 7
- Added patch2: fix mdk #16504 (k3b --nofork)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-0.beta2. 6
- Add patch1: fix mdk #17556 (patch from svn last changes)

* Thu Aug 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.5mdk
- build po files missed fix bug #17436

* Mon Jul 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.4mdk
- aligned rawconverter from svn to fix Mandriva bug #15286

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.beta2.3mdk
- fix build on lib64 platforms

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta2.2mdk
- DistroSpecificReleaseTag support

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta2.1mdk
- beta2

* Sun Dec 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.beta1.5mdk
- add BuildRequires: libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-0.beta1.4mdk
- fix buildrequires

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.3mdk
- Rebuild with libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.2mdk
- Fix spec file

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta1.1mdk
- new version

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Thu Sep 09 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed description

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Tue May 11 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version

